Search Unity

  1. Welcome to the Unity Forums! Please take the time to read our Code of Conduct to familiarize yourself with the forum rules and how to post constructively.

Bug Unity Hub 3.0.0 can not recognize archived Editor version

Discussion in 'Unity Hub' started by SolarianZ, Jan 16, 2022.

  1. SolarianZ

    SolarianZ

    Joined:
    Jun 13, 2017
    Posts:
    151
    After upgrade Unity Hub to version 3.0.0, I can't install archived Editor version.

    When click the green button with text "Unity Hub" in page Unity - Download Archive (unity3d.com), Unity Hub will popup a message box say that "Unable to install The Hub is unable to recognize this archived Editor version. Please try again latter.".
    upload_2022-1-16_16-49-17.png
    upload_2022-1-16_16-49-34.png

    I find that I can't install Unity 2021.2.8f1 from page Unity - Download Archive (unity3d.com), but I can install Unity 2021.2.7f1 from the page. Maybe this is because of Unity 2021.2.8f1 is already listed in Hub's installer list, but please pay attention to Editor version, I want 2021.2.8f1 but not 2021.2.8.f1c1!
    upload_2022-1-16_16-48-12.png
     
    angganaro3 likes this.
  2. thecoch

    thecoch

    Joined:
    May 14, 2017
    Posts:
    12
    I have to relocate the Unity Editor Path every time I relaunch the Hub
     
  3. SolarianZ

    SolarianZ

    Joined:
    Jun 13, 2017
    Posts:
    151
    Anyone help?
     
  4. MrLucid72

    MrLucid72

    Joined:
    Jan 12, 2016
    Posts:
    887
    Yep, same here. This is repro'd easily every time - why wasn't this caught in beta? Where's the QA?
     
  5. mora260

    mora260

    Joined:
    Sep 21, 2019
    Posts:
    1
    Same problem here
     
  6. KoZhang

    KoZhang

    Joined:
    Aug 3, 2021
    Posts:
    1
    > The Hub is unable to recognize this archived Editor version. Please try again later.
    Same problem here
     
  7. cremento

    cremento

    Joined:
    Feb 19, 2022
    Posts:
    1
    Having the same problem. Please pay attention to resolve the issue.